<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	$cV01 = $_POST['v1'];	/* DESDE */
	$cV02 = $_POST['v2'];	/* HASTA */
?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// CONSULTA SQL
		$sql = "SELECT C.CODIGOBARRAS, C.FORMATO, C.DISPONIBLE, C.ACTIVIDAD, CONVERT(VARCHAR, C.FECHAREGISTRO, 109) AS FECHAREGISTRO, ISNULL(U.UBICACION, '') AS UBICACION, C.USUARIOREGISTRO, C.USUARIOMODIFICACION \n"
			  ."FROM JOIN_CODBARCAJMAS AS C \n"
			  ."LEFT JOIN JOIN_CAJAMASTER_UBICACION AS U ON (C.CODIGOBARRAS = U.CODIGOBARRAS) \n"
			  ."WHERE (CONVERT(DATE, FECHAREGISTRO) >= '".$cV01."' AND CONVERT(DATE, FECHAREGISTRO) <= '".$cV02."')";
		$pa1 = array();
		$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
		// Lanzar la consulta
		$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
		if (sqlsrv_num_rows($re1) != 0)
		{
			echo "
			<div class='x_panel'>
				<div class='x_title'>
					<h3>Listado de etiquetas 4x4(102x102) desde ".$cV01." hasta ".$cV02. "</h3>
					<div class='clearfix'></div>					
				</div>
				<button type='submit' class='btn btn-warning'>
					<span class='glyphicon glyphicon-print' aria-hidden='true'></span> Imprimir
				</button>
				<button type='button' class='btn btn-warning' onclick='popup02();'>Ubicacion Multiple</button>
				<div class='col-md-6 col-sm-6 col-xs-12'>
					<input class='form-control' id='myInput' type='text' placeholder='Buscar...'>
				</div>
				<div class='table-responsive'>
					<table class='table table-striped jambo_table bulk_action'>
						<thead>
							<tr class='headings'>
								<th>
									<input type='checkbox' id='check-all' class='flat'>
								</th>
								<th>CODIGOBARRAS</th>
								<th>FORMATO</th>
								<th>DISPONIBLE</th>
								<th>ACTIVIDAD</th>
								<th>FECHAREGISTRO</th>
								<th>UBICACION</th>
								<th>USUARIOREGISTRO</th>
								<th>USUARIOMODIFICACION</th>
							</tr>
						</thead>";
						while($fila = sqlsrv_fetch_array($re1))
						{
						$cV01 = $fila['CODIGOBARRAS'];
							echo "
								<tbody id='myTable'>
									<tr class='even pointer'>
										<td class='a-center'>
											<input type='checkbox' class='flat' name='lista[]' value='".$cV01."'>
										</td>
										<td>".$fila['CODIGOBARRAS']."</td>
										<td>".$fila['FORMATO']."</td>
										<td>".$fila['DISPONIBLE']."</td>
										<td>".$fila['ACTIVIDAD']."</td>
										<td>".$fila['FECHAREGISTRO']."</td>";
										if ($fila['UBICACION'] == '')
										{
											echo "
											<td>
												<button class='btn btn-sm btn-danger' type='button' data-placement='top' onclick=popup01('".$fila['CODIGOBARRAS']."') data-toggle='tooltip' data-original-title='Agreaga/Modifica ubicación'>POR ASIGNAR</button>
											</td>";
										}
										else
										{
											echo "
											<td>
												<button class='btn btn-sm btn-warning' type='button' data-placement='top' onclick=popup01('".$fila['CODIGOBARRAS']."','".$fila['UBICACION']."') data-toggle='tooltip' data-original-title='Agreaga/Modifica ubicación'>".$fila['UBICACION']."</button>
											</td>";
										}
										echo "
										<td>".$fila['USUARIOREGISTRO']."</td>
										<td>".$fila['USUARIOMODIFICACION']."</td>
									</tr>
								</tbody>
							";
						}
					echo "
					</table>
				</div>
				<button type='submit' class='btn btn-warning' onclick='recargar();'>
					<span class='glyphicon glyphicon-print' aria-hidden='true'></span> Imprimir
				</button>
			</div>
			";
		}
		else
		{
			echo "
			<div class='alert alert-warning alert-dismissible fade in' role='alert'>
			<button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>×</span>
			</button>
				Registros <strong>NO</strong> localizados.
			</div>
			";
		}
		sqlsrv_free_stmt($re1);
	}
	sqlsrv_close($conexion);
?>
<script>
	// Script para seleccion o Deseleccionar chekBox
	$("#check-all").on("click", function() {
	  $(".flat").prop("checked", this.checked);
	});
	// if all checkbox are selected, check the selectall checkbox and viceversa
	$(".flat").on("click", function() {
	  if ($(".flat").length == $(".flat:checked").length) {
		$("#check-all").prop("checked", true);
	  } else {
		$("#check-all").prop("checked", false);
	  }
	});
</script>
<script>
	$(document).ready(function(){
	  $("#myInput").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#myTable tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	  });
	});
</script>
